<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: main.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>main.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init/init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="main_8c_source.html">magpar_version.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for main.c:</div>
<div class="dynsection">
<div class="center"><img src="main_8c__incl.png" border="0" usemap="#main_8c_map" alt=""/></div>
<map name="main_8c_map" id="main_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init/init.h" alt="" coords="20,86,89,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="113,86,183,117"/><area shape="rect" id="node18" href="magpario_8h.html" title="io/magpario.h" alt="" coords="207,86,305,117"/><area shape="rect" id="node21" href="field_8h.html" title="field/field.h" alt="" coords="329,86,415,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="main_8c__dep__incl.png" border="0" usemap="#main_8cdep_map" alt=""/></div>
</div>

<p><a href="main_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#afd75f69a3b24674844feb22458a7ce51">MAGPAR_VERSION</a>&nbsp;&nbsp;&nbsp;&quot;0.9&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#ac5e8c4ae3555cb01bbb14f878cc4a580">MAGPAR_REVISION</a>&nbsp;&nbsp;&nbsp;&quot;3061M&quot;</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#af91d94707b6b88920418dfb69be0e106">Solve</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328">main</a> (int argc, char **args)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9">keepsolving</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ac5e8c4ae3555cb01bbb14f878cc4a580"></a><!-- doxytag: member="main.c::MAGPAR_REVISION" ref="ac5e8c4ae3555cb01bbb14f878cc4a580" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAGPAR_REVISION&nbsp;&nbsp;&nbsp;&quot;3061M&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afd75f69a3b24674844feb22458a7ce51"></a><!-- doxytag: member="main.c::MAGPAR_VERSION" ref="afd75f69a3b24674844feb22458a7ce51" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAGPAR_VERSION&nbsp;&nbsp;&nbsp;&quot;0.9&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ae4f2eb4a1c11c65d9a480b992675dcf9"></a><!-- doxytag: member="main.c::keepsolving" ref="ae4f2eb4a1c11c65d9a480b992675dcf9" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int keepsolving </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="main_8c_source.html#l00146">146</a> of file <a class="el" href="main_8c_source.html">main.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00083">MagparFunctionInfoReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="hext__ho_8c_source.html#l00054">MpHext()</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, <a class="el" href="writelog_8c_source.html#l00048">Vec3VolAvg()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_cgraph.png" border="0" usemap="#main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_cgraph_map" alt=""></div>
<map name="main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_cgraph_map" id="main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_cgraph">
<area shape="rect" id="node3" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="157,31,224,62"/><area shape="rect" id="node5" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="145,85,236,115"/><area shape="rect" id="node7" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="156,138,225,169"/><area shape="rect" id="node9" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="292,58,367,89"/><area shape="rect" id="node13" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="295,111,364,142"/><area shape="rect" id="node31" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="291,218,368,249"/><area shape="rect" id="node53" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="287,165,372,195"/><area shape="rect" id="node11" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="421,58,587,89"/><area shape="rect" id="node15" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="460,111,548,142"/><area shape="rect" id="node17" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="636,163,735,194"/><area shape="rect" id="node21" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="803,111,875,142"/><area shape="rect" id="node25" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="785,58,892,89"/><area shape="rect" id="node19" href="axesrot_8c.html#a5b63115a2dab7c63c692f4a4d739036c" title="checkortho" alt="" coords="796,5,881,35"/><area shape="rect" id="node23" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1083,59,1197,90"/><area shape="rect" id="node28" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="941,59,1035,90"/><area shape="rect" id="node33" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="456,218,552,249"/><area shape="rect" id="node35" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="456,271,552,302"/><area shape="rect" id="node38" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="657,298,713,329"/><area shape="rect" id="node43" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="644,217,727,247"/><area shape="rect" id="node40" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="801,325,876,355"/><area shape="rect" id="node45" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9" title="AreaCal" alt="" coords="805,271,872,302"/><area shape="rect" id="node48" href="calAfe2sq_8c.html#a3c9e7dc062accf00d94cdd1e6124764d" title="findeleslice" alt="" coords="796,165,881,195"/><area shape="rect" id="node51" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="792,218,885,249"/><area shape="rect" id="node55" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="453,165,555,195"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_icgraph.png" border="0" usemap="#main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_icgraph_map" alt=""></div>
<map name="main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_icgraph_map" id="main_8c_ae4f2eb4a1c11c65d9a480b992675dcf9_icgraph">
<area shape="rect" id="node3" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="145,5,199,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="248,5,299,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7a29781a20c5dd4153c3c1cecf0ff328"></a><!-- doxytag: member="main.c::main" ref="a7a29781a20c5dd4153c3c1cecf0ff328" args="(int argc, char **args)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&nbsp;</td>
          <td class="paramname"> <em>args</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="main_8c_source.html#l00059">59</a> of file <a class="el" href="main_8c_source.html">main.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00042">__FUNCT__</a>, <a class="el" href="magpar__revision_8h_source.html#l00001">MAGPAR_REVISION</a>, <a class="el" href="magpar__version_8h_source.html#l00001">MAGPAR_VERSION</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="main_8c_a7a29781a20c5dd4153c3c1cecf0ff328_cgraph.png" border="0" usemap="#main_8c_a7a29781a20c5dd4153c3c1cecf0ff328_cgraph_map" alt=""></div>
<map name="main_8c_a7a29781a20c5dd4153c3c1cecf0ff328_cgraph_map" id="main_8c_a7a29781a20c5dd4153c3c1cecf0ff328_cgraph">
<area shape="rect" id="node3" href="init_8h.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="105,837,164,867"/><area shape="rect" id="node86" href="init_8h.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="105,1522,164,1553"/><area shape="rect" id="node116" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="108,474,161,505"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="213,474,352,505"/><area shape="rect" id="node13" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="445,583,517,614"/><area shape="rect" id="node15" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="447,477,516,507"/><area shape="rect" id="node17" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="219,317,347,347"/><area shape="rect" id="node27" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="655,794,700,825"/><area shape="rect" id="node48" href="destroyinit_8c.html#a1b4144014467c57b1ce5f003775cd266" title="DataDestroyInit" alt="" coords="227,943,339,974"/><area shape="rect" id="node50" href="elevertvol_8c.html#a2103238be825fa27dce52bbc795d532d" title="EleVertVol" alt="" coords="241,1098,324,1129"/><area shape="rect" id="node61" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="240,679,325,710"/><area shape="rect" id="node67" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="435,845,528,875"/><area shape="rect" id="node74" href="init_8h.html#a5b18b26ca79926b582bf94e21e5f531b" title="ModifyPropPar" alt="" coords="229,1283,336,1314"/><area shape="rect" id="node78" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="220,783,345,814"/><area shape="rect" id="node80" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="217,837,348,867"/><area shape="rect" id="node82" href="magpario_8h.html#afcfe52b023f7bd7762b109bea3096cfc" title="WriteFEMAVS" alt="" coords="231,890,335,921"/><area shape="rect" id="node7" href="checkiterationemini_8c.html#ae5edbe0fe0c81314aff57f7ab636f66b" title="CheckIterationEmini_Init" alt="" coords="400,530,563,561"/><area shape="rect" id="node9" href="field_8h.html#a386ce6c3aee542bfbdfbc8bce99d51fe" title="Hext_ho_hstep" alt="" coords="427,423,536,454"/><area shape="rect" id="node11" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="448,370,515,401"/><area shape="rect" id="node19" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="455,162,508,193"/><area shape="rect" id="node21" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="631,213,724,243"/><area shape="rect" id="node23" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="793,266,881,297"/><area shape="rect" id="node25" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="440,317,523,347"/><area shape="rect" id="node33" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f" title="CheckIterationLLG_Init" alt="" coords="404,58,559,89"/><area shape="rect" id="node35" href="distortvec_8c.html#a8bf0a9f33e000474112d918b05b1b377" title="DistortVec" alt="" coords="440,637,523,667"/><area shape="rect" id="node37" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d" title="EquilCheck" alt="" coords="633,266,721,297"/><area shape="rect" id="node41" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="427,5,536,35"/><area shape="rect" id="node29" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="807,821,868,851"/><area shape="rect" id="node31" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="803,767,872,798"/><area shape="rect" id="node52" href="calcbbox_8c.html#a7dcec04c75706920d2732ace5fe3bdf5" title="calcbbox" alt="" coords="444,1075,519,1106"/><area shape="rect" id="node54" href="elevertvol_8c.html#a84b0acadfde91d8c984091ed850ab6bf" title="edgestat" alt="" coords="445,1129,517,1159"/><area shape="rect" id="node56" href="elevertvol_8c.html#aef5a137b230e99388bfdb98e300fb741" title="tetqual" alt="" coords="451,971,512,1002"/><area shape="rect" id="node58" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="651,1023,704,1054"/><area shape="rect" id="node63" href="cart2sphere_8c.html#a519926eb0e8844daa1219a94521b9882" title="Cart2Sphere" alt="" coords="435,741,528,771"/><area shape="rect" id="node76" href="magpario_8h.html#a59544353738dfce0bdce48409d9b3c8b" title="ReadKrn" alt="" coords="447,1549,516,1579"/><area shape="rect" id="node88" href="init_8h.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="229,1390,336,1421"/><area shape="rect" id="node90" href="distortmesh_8c.html#a07f75fef1770fdca0f1cf8ea3369c8b2" title="DistortMesh" alt="" coords="237,1443,328,1474"/><area shape="rect" id="node92" href="facnb_8c.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="451,1233,512,1263"/><area shape="rect" id="node95" href="filterelements_8c.html#a49c370a78a03718555d9d871ef6e11ee" title="FilterElements" alt="" coords="229,1867,336,1898"/><area shape="rect" id="node97" href="filternodes_8c.html#ab1da8fc65b9539386e71fb8601e36deb" title="FilterNodes" alt="" coords="239,1337,327,1367"/><area shape="rect" id="node99" href="init_8h.html#a25ee3bfa58a704838a8bc6309f083f5c" title="InitInfo" alt="" coords="252,1497,313,1527"/><area shape="rect" id="node101" href="init_8h.html#accaf6541cd8225c7be69bdf5f6ac44d5" title="MagInit" alt="" coords="251,1601,315,1631"/><area shape="rect" id="node103" href="init_8h.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="229,1814,336,1845"/><area shape="rect" id="node107" href="magpario_8h.html#a365fc802eafb717ba4c584655d1e9b64" title="ReadMesh" alt="" coords="241,1654,324,1685"/><area shape="rect" id="node109" href="init_8h.html#a445ec9c1079f67af589544afbcea155f" title="RegularRefinement" alt="" coords="612,741,743,771"/><area shape="rect" id="node112" href="init_8h.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="249,1707,316,1738"/><area shape="rect" id="node114" href="init_8h.html#a031e1284b34dfcb64f029f9bd16545ce" title="VertProp" alt="" coords="247,1761,319,1791"/><area shape="rect" id="node122" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="237,370,328,401"/><area shape="rect" id="node126" href="mytssteppvode_8c.html#a61c49a5366b0ae16513998a657704e37" title="myTSStepPVode" alt="" coords="223,263,343,294"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="af91d94707b6b88920418dfb69be0e106"></a><!-- doxytag: member="main.c::Solve" ref="af91d94707b6b88920418dfb69be0e106" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Solve </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="main_8c_source.html#l00285">285</a> of file <a class="el" href="main_8c_source.html">main.c</a>.</p>

<p>References <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="griddata_8h_source.html#l00264">GridData::equil</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="main_8c_source.html#l00059">main()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="main_8c_af91d94707b6b88920418dfb69be0e106_cgraph.png" border="0" usemap="#main_8c_af91d94707b6b88920418dfb69be0e106_cgraph_map" alt=""></div>
<map name="main_8c_af91d94707b6b88920418dfb69be0e106_cgraph_map" id="main_8c_af91d94707b6b88920418dfb69be0e106_cgraph">
<area shape="rect" id="node3" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="109,394,248,424"/><area shape="rect" id="node13" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="341,604,413,635"/><area shape="rect" id="node28" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="705,242,799,272"/><area shape="rect" id="node48" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="343,138,412,168"/><area shape="rect" id="node60" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="115,786,243,816"/><area shape="rect" id="node104" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="136,472,221,503"/><area shape="rect" id="node115" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="133,228,224,259"/><area shape="rect" id="node120" href="mytssteppvode_8c.html#a61c49a5366b0ae16513998a657704e37" title="myTSStepPVode" alt="" coords="119,839,239,870"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#ae5edbe0fe0c81314aff57f7ab636f66b" title="CheckIterationEmini_Init" alt="" coords="296,292,459,323"/><area shape="rect" id="node7" href="field_8h.html#a386ce6c3aee542bfbdfbc8bce99d51fe" title="Hext_ho_hstep" alt="" coords="323,551,432,582"/><area shape="rect" id="node11" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="719,524,785,555"/><area shape="rect" id="node9" href="field_8h.html#aeebb8d32f6d9e3ab71e50c03e1372717" title="get_scalf_hstep" alt="" coords="507,551,621,582"/><area shape="rect" id="node15" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="515,708,613,739"/><area shape="rect" id="node26" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="519,346,609,376"/><area shape="rect" id="node44" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="509,604,619,635"/><area shape="rect" id="node17" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="697,774,807,804"/><area shape="rect" id="node20" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="708,851,796,882"/><area shape="rect" id="node22" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="707,435,797,466"/><area shape="rect" id="node24" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="707,708,797,739"/><area shape="rect" id="node42" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="697,346,807,376"/><area shape="rect" id="node30" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="883,242,971,272"/><area shape="rect" id="node32" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="1027,295,1136,326"/><area shape="rect" id="node34" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="1023,348,1140,379"/><area shape="rect" id="node36" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="1024,135,1139,166"/><area shape="rect" id="node38" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="1020,188,1143,219"/><area shape="rect" id="node40" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="1020,242,1143,272"/><area shape="rect" id="node46" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="689,604,815,635"/><area shape="rect" id="node50" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="527,31,601,62"/><area shape="rect" id="node54" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="529,84,599,115"/><area shape="rect" id="node56" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="525,138,603,168"/><area shape="rect" id="node58" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="521,191,607,222"/><area shape="rect" id="node52" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="669,31,835,62"/><area shape="rect" id="node62" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="351,914,404,944"/><area shape="rect" id="node66" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="517,863,611,894"/><area shape="rect" id="node71" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="885,904,968,935"/><area shape="rect" id="node88" href="checkiterationllg_8c.html#a3f86d8b6fe0ca41eb041d4130e854c6f" title="CheckIterationLLG_Init" alt="" coords="300,1071,455,1102"/><area shape="rect" id="node92" href="distortvec_8c.html#a8bf0a9f33e000474112d918b05b1b377" title="DistortVec" alt="" coords="336,708,419,739"/><area shape="rect" id="node94" href="checkiterationllg_8c.html#a5d6bf5e0146588628618631eb234060d" title="EquilCheck" alt="" coords="333,967,421,998"/><area shape="rect" id="node64" href="checkiterationllg_8c.html#a3e96e10ed0445f8b608b47231b4f6184" title="adjtoldem" alt="" coords="525,916,603,947"/><area shape="rect" id="node69" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="705,904,799,935"/><area shape="rect" id="node73" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="1059,652,1104,683"/><area shape="rect" id="node75" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="1200,519,1261,550"/><area shape="rect" id="node77" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="1196,572,1265,603"/><area shape="rect" id="node79" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="1196,626,1265,656"/><area shape="rect" id="node81" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="1193,679,1268,710"/><area shape="rect" id="node83" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="1192,732,1269,763"/><area shape="rect" id="node85" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="1196,786,1265,816"/><area shape="rect" id="node90" href="magpario_8h.html#a85c6fd604f4655acf9edea63969a5676" title="read_one_line" alt="" coords="513,1071,615,1102"/><area shape="rect" id="node106" href="cart2sphere_8c.html#a519926eb0e8844daa1219a94521b9882" title="Cart2Sphere" alt="" coords="331,498,424,528"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="main_8c_af91d94707b6b88920418dfb69be0e106_icgraph.png" border="0" usemap="#main_8c_af91d94707b6b88920418dfb69be0e106_icgraph_map" alt=""></div>
<map name="main_8c_af91d94707b6b88920418dfb69be0e106_icgraph_map" id="main_8c_af91d94707b6b88920418dfb69be0e106_icgraph">
<area shape="rect" id="node3" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="109,5,160,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

